Bug 1258739 - PowerSaving balancing not take in account CPU under utilized hosts [NEEDINFO]
PowerSaving balancing not take in account CPU under utilized hosts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
All Linux
unspecified Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Martin Sivák
Artyom
: Patch, Triaged
Depends On:
Blocks: 736808
  Show dependency treegraph
 
Reported: 2015-09-01 03:26 EDT by Artyom
Modified: 2016-04-19 21:31 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, due to the timestamp implementation in the power saving balance policy, the power saving balancer did not recognize underutilized hosts in some cases and did not migrate virtual machines to other hosts. The timestamp implementation has been updated, and virtual machines on underutilized hosts gets migrated to other hosts as expected so that the underutilized host can be shut down.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:31:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juwu: needinfo? (msivak)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45558 master MERGED core: fix getUnderUtilizedCPUHosts function to get correct hosts Never
oVirt gerrit 45788 ovirt-engine-3.6 MERGED core: fix getUnderUtilizedCPUHosts function to get correct hosts Never

  None (edit)
Description Artyom 2015-09-01 03:26:48 EDT
Description of problem:
PowerSaving balancing not take in account CPU under utilized hosts

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.12.master.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Add two hosts without cpu load(host_1, host_2) and wait one minute
2. Run on each host vm with one Gb of memory
3. Load one host CPU to 50%(host_1)
4. Change cluster policy to power saving with parameters:
   Low Utilization: 20
   High Utilization: 80
   CpuOverCommitmentDuration: 1
5. Wait 5 minutes


Actual results:
No migration happen from host_1 to host_2

Expected results:
Vm from host_2 must be migrated by balancing to host_1

Additional info:
Comment 1 Artyom 2015-09-01 04:03:15 EDT
Actual results:
No migration happen from host_2 to host_1
Comment 2 Artyom 2015-09-21 08:30:16 EDT
Verified on rhevm-3.6.0-0.16.master.el6.noarch
Comment 3 Martin Sivák 2016-01-19 05:02:05 EST
This bug was discovered during development/QE phase and the issue was never released to public.
Comment 4 Martin Sivák 2016-01-19 05:06:40 EST
Ups, wrong bug, proper doctext added.
Comment 5 Julie 2016-02-09 23:25:18 EST
Hey Martin,
   I made some edits to the doc text. Please let me know if it still technically accurate.

Kind regards,
Julie

Note You need to log in before you can comment on or make changes to this bug.